Models
Start a pending upload
Initiates a new pending upload or retrieves an existing one for the specified model version.
Sorgu parametreleri
api-version
string
gerekli
The API version to use for this operation.
Üst bilgi parametreleri
Foundry-Features
enum
gerekli
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Yol parametreleri
name
string
gerekli
Name of the model.
version
string
gerekli
Version of the model.
İstek Gövdesi
The pending upload request request body.
pendingUploadId
string
If PendingUploadId is not provided, a random GUID will be used.
connectionName
string
Azure Storage Account connection name to use for generating temporary SAS token
pendingUploadType
enum
gerekli
The type of pending upload. Only TemporaryBlobReference is supported for models.
Yanıtlar
The request has succeeded.
Gövde
blobReference
BlobReference
gerekli
Blob reference details.
blobUri
string
gerekli
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
gerekli
ARM ID of the storage account to use.
credential
SasCredential
gerekli
SAS Credential definition
sasUri
string
gerekli
SAS uri
type
enum
gerekli
Type of credential
pendingUploadId
string
gerekli
ID for this upload request.
version
string
Version of asset to be created if user did not specify version when initially creating upload
pendingUploadType
enum
gerekli
The type of pending upload. Only TemporaryBlobReference is supported for models.
İstek
POST /models/{name}/versions/{version}/startPendingUpload HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json